![]() | Rectangle Class |
The Rectangle class defines a rectangle that is a box made of four lines with orthogonal angles.

SystemObject
Tekla.Structures.DrawingDatabaseObject
Tekla.Structures.DrawingDrawingObject
Tekla.Structures.DrawingGraphicObject
Tekla.Structures.DrawingClosedGraphicObject
Tekla.Structures.DrawingRectangle
Tekla.Structures.DrawingDatabaseObject
Tekla.Structures.DrawingDrawingObject
Tekla.Structures.DrawingGraphicObject
Tekla.Structures.DrawingClosedGraphicObject
Tekla.Structures.DrawingRectangle
Namespace: Tekla.Structures.Drawing
Assembly: Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2023.0.1

The Rectangle type exposes the following members.

Name | Description | |
---|---|---|
![]() | Rectangle(ViewBase, Point, Point) |
Creates a new rectangle instance with two points using standard attributes.
Please note that creating a rectangle using two points will re-calculate
the start point to correspond with positive widths and heights.
|
![]() | Rectangle(ViewBase, Point, Double, Double) |
Creates a new rectangle instance with the start point and the defined width and height using standard attributes.
|
![]() | Rectangle(ViewBase, Point, Point, RectangleRectangleAttributes) |
Creates a new rectangle instance with two points using the given attributes.
Please note that creating a rectangle using two points will re-calculate
the start point to correspond with positive widths and heights.
|
![]() | Rectangle(ViewBase, Point, Double, Double, RectangleRectangleAttributes) |
Creates a new rectangle instance with the start point and the defined width and height using the given attributes.
|

Name | Description | |
---|---|---|
![]() | Angle |
The angle of the rectangle. The rectangle rotates around its start point.
|
![]() | Attributes |
The attributes of the rectangle.
|
![]() | EndPoint |
The end point of the rectangle.
|
![]() | Height |
The height of the rectangle.
Changing the height changes the end point with the height.
|
![]() | Hideable |
Accesses the information if this object is hidden or not or if it should be.
(Inherited from GraphicObject.) |
![]() | QueryReturnValue |
Status information about the latest database operation (select, insert, modify, delete).
(Inherited from DatabaseObject.) |
![]() | StartPoint |
The start point of the rectangle. Changing
this will move the rectangle.
|
![]() | Width |
The width of the rectangle.
Changing the width changes the end point with the width.
|

Name | Description | |
---|---|---|
![]() | Delete |
Calls the system to delete the object.
(Overrides DatabaseObjectDelete.) |
![]() | GetDoubleUserProperties(DictionaryString, Double) |
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetDoubleUserProperties(ListString, DictionaryString, Double) |
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetDrawing |
Gets the drawing where the drawing object is.
(Inherited from DrawingObject.) |
![]() | GetIntegerUserProperties(DictionaryString, Int32) |
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetIntegerUserProperties(ListString, DictionaryString, Int32) |
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetRelatedObjects |
Gets the related objects of the current object.
(Inherited from DrawingObject.) |
![]() | GetRelatedObjects(Type) |
Gets the related objects of the current object that are of certain types.
(Inherited from DrawingObject.) |
![]() | GetStringUserProperties(DictionaryString, String) |
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetStringUserProperties(ListString, DictionaryString, String) |
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.) |
![]() | GetUserProperty(String, Double) |
Gets a double property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | GetUserProperty(String, Int32) |
Gets an integer property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | GetUserProperty(String, String) |
Gets a string property from the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | GetView |
Gets the view where the drawing object is.
(Inherited from DrawingObject.) |
![]() | Insert |
Calls the system to insert the new object.
(Overrides DatabaseObjectInsert.) |
![]() | IsEqual |
Compares the current object with an object of the same type.
(Overrides DrawingObjectIsEqual(Object).) |
![]() | IsSameDatabaseObject |
Returns true if the current object and the given object are referencing the same database object.
(Inherited from DatabaseObject.) |
![]() | Modify |
Calls the system to update/modify the object.
(Overrides DatabaseObjectModify.) |
![]() | Select |
Calls the system to select and retrieve the object.
(Overrides DatabaseObjectSelect.) |
![]() | SetUserProperty(String, Double) |
Sets a double property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | SetUserProperty(String, Int32) |
Sets an integer property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | SetUserProperty(String, String) |
Sets a string property for the drawing object. The object has to be in a drawing before
the method can be used.
(Inherited from DatabaseObject.) |
![]() | ToString |
Changes the string presentation of the drawing object.
(Inherited from DrawingObject.) |

using Tekla.Structures.Drawing; using Tekla.Structures.Geometry3d; public class Example { public void Example1() { DrawingHandler MyDrawingHandler = new DrawingHandler(); if(MyDrawingHandler.GetConnectionStatus()) { Rectangle MyRectangle; DrawingObjectEnumerator views = MyDrawingHandler.GetActiveDrawing().GetSheet().GetAllViews(); while(views.MoveNext()) { MyRectangle = new Rectangle(views.Current as ViewBase, new Point(10,10), new Point(300,300)); MyRectangle.Insert(); } } } }
